#include <QGuiApplication>
#include <QPainter>
#include <QPaintEvent>
#include <QRasterWindow>
#include <QSvgRenderer>

class Window : public QRasterWindow
{
protected:
    void paintEvent(QPaintEvent *event) override
    {
        const static auto svgRenderer = [](){
            return new QSvgRenderer(QLatin1String(":/document.svg"));
        }();

        const QRectF rect = event->rect();

        QPainter p(this);
        p.fillRect(rect, Qt::lightGray);

        svgRenderer->render(&p, "element1", QRectF(rect.topLeft(), rect.center()));
        svgRenderer->render(&p, "element2", QRectF(rect.topLeft(), rect.center()));

        svgRenderer->render(&p, "element1", QRectF(rect.center(), rect.bottomRight()));
        svgRenderer->render(&p, "element2", QRectF(rect.center(), rect.bottomRight()));
    }
};

int main(int argc, char *argv[])
{
    QGuiApplication a(argc, argv);

    Window w;
    w.setGeometry({100, 100, 400, 200});
    w.show();

    return a.exec();
}
